Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar
Find #mupdf on Discord
Do you have any feedback on this page?

# mutool poster

The `poster` command reads the input PDF file and for each page chops it up into `x` by `y` pieces. Each piece becomes its own page in the output PDF file. This makes it possible for each page to be printed upscaled and can then be merged into a large poster.

    mutool poster [options] input.pdf [output.pdf]

Note

Command line parameters within square brackets `[]` are optional.

`[options]`

  Options are as follows:

  `-p` password

    Use the specified password if the file is encrypted.

  `-x` x decimation factor

    Pieces to horizontally divide each page into.

  `-y` y decimation factor

    Pieces to vertically divide each page into.

  `-r`

    Split horizontally from right to left (default splits from left to right).

`input.pdf`

  The input PDF document.

`[output.pdf]`

  The output filename. Defaults to “out.pdf” if not supplied.

Do you have any feedback on this page?

This software is provided AS-IS with no warranty, either express or implied. This software is distributed under license and may not be copied, modified or distributed except as expressly authorized under the terms of that license. Refer to licensing information at artifex.com or contact Artifex Software, Inc., 39 Mesa Street, Suite 108A, San Francisco, CA 94129, USA, for further information.